# $Revision: 1.16 $, $Date: 2008/07/27 22:47:38 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Sort
%define		pnam	ArrayOfArrays
Summary:	Sort::ArrayOfArrays Perl module
Summary(pl.UTF-8):	Moduł Perla Sort::ArrayOfArrays
Name:		perl-Sort-ArrayOfArrays
Version:	1.00
Release:	4
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	31bb796e6ad39a66a145cecef75b01fd
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sort::ArrayOfArrays was written to sort an arbitrary array of arrays,
in powerful, different ways.

%description -l pl.UTF-8
Moduł Sort::ArrayOfArrays służy do sortowania tablic tablic na wiele
różnych sposobów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests: %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Sort/ArrayOfArrays.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Sort-ArrayOfArrays.spec,v $
Revision 1.16  2008/07/27 22:47:38  arekm
- release 4

Revision 1.15  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.13  2004/11/03 22:30:44  paladine
- formatting

Revision 1.12  2004/06/05 18:10:47  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.11  2004/05/07 01:09:25  ankry
- rel. 3

Revision 1.10  2004/05/06 18:21:03  ankry
- fixed perl-devel BR

Revision 1.9  2004/05/02 05:35:10  ankry
- tests added

Revision 1.8  2003/08/18 08:09:12  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:01:01  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 20:46:27  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:41:47  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:38:16  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/20 23:11:03  qboosh
- new

